QGIS Application - Bug report #21569
SAGA Error layerpath input with QGIS LTR 3.4.5 and QGIS 3.6
2019-03-12 06:17 PM - Olivier ATHIMON

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Processing/SAGA

Affected QGIS version:3.4.5 Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 29385
Description

When i use the function "Grid Statistics for Points" (SAGA) with QGIS LTR 3.4.5 and QGIS 3.6.0 under Windows 7 and 10, i have an
error... It seems to be an error in the layerpath...

C:\OSGEO4~1\bin>saga_cmd shapes_grid "Grid Statistics for Points" -GRIDS
"C:/Users/Isangers/AppData/Local/Temp/processing_31cb7de1e47c4a9d8bebb6dac86417d56/997e60f836784dea9be27865¢c1c6438a/af
fricaarc19830101.sgrd" -POINTS

"D:/18X027_DIN/SHP_extraction_pluies_ ARC_NOAA/Pts_pluviometres_EPSG4035.shp|layername=Pts_pluviometres_EPSG4
035" -KERNEL_TYPE 0 -KERNEL_SIZE 1 -NAMING 1 -COUNT false -MIN false -MAX false -RANGE false -SUM false -MEAN true
-VAR false -STDDEYV false -QUANTILE 50 -RESULT "D:/18F221_PAPI_Meurthe/test/aaa.shp"

Error: input file

ricaarc

p35"

[D:/18X027_DIN/SHP_extraction_pluies_ARC_NOAA/Pts_pluviometres_EPSG4035.shp|layername=Pts_pluviometres_EPSG4035]

035]
Error: Points

The layerpath should be changed by deleting |layername=... to get a layerpath like this :
"D:/18X027_DIN/SHP_extraction_pluies_ ARC_NOAA/Pts_pluviometres_ EPSG4035.shp"

Associated revisions

Revision 19194104 - 2019-03-18 06:58 AM - Nyall Dawson

[processing] Fix layerName= suffix is incorrectly passed to SAGA algorithms

Fixes #21569

Revision 5f23b8f4 - 2019-03-18 06:58 AM - Nyall Dawson

[processing] Fix layerName= suffix is incorrectly passed to SAGA algorithms

Fixes #21569

Revision a38e9e66 - 2019-03-18 09:24 AM - Nyall Dawson

[processing] Fix layerName= suffix is incorrectly passed to SAGA algorithms

Fixes #21569
Revision 4e5888d2 - 2019-03-18 10:05 AM - Nyall Dawson

[processing] Fix layerName= suffix is incorrectly passed to SAGA algorithms

Fixes #21569

Revision 10a75261 - 2019-03-21 06:01 AM - Nyall Dawson

[processing] Fix layerName= suffix is incorrectly passed to SAGA algorithms

Fixes #21569

History

#1 - 2019-03-12 10:45 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Easy fix? changed from Yes to No

- Crashes QGIS or corrupts data changed from Yes to No

- Priority changed from High to Normal

Can't confirm here (3.4.5, Windows). How did you added the shapefile (d&d? browser? data source manager?)?

Input vectors are now always translated to temp files by processing, so in the SAGA command you shpuld not see the path to the original shape (I don't

here).

#2 - 2019-03-14 10:36 AM - Nyall Dawson
- Assignee set to Nyall Dawson
- Status changed from Feedback to In Progress

#3 - 2019-03-18 09:24 AM - Nyall Dawson
- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|a38e9e66fcd7a6f212454d07cd3b44c5dd90ddca.
